from concho.dell import DellMatinfoCsvConfigurator
from concho.dell import DellMatinfoConfigurator
from concho.procs_chooser import plot_system_efficiency
from concho.procs_chooser import plot_efficiency

def test_all_matinfo_2020_configs():
    # configurator = DellMatinfoConfigurator('rcrc1406676-4834664 - Cat2 Conf4 PowerEdge R640 - Dell.html')
    # print(configurator)
    configurators = [
        DellMatinfoCsvConfigurator('c6420-20200716-price.tsv'),
        DellMatinfoConfigurator('rcrc1406676-4834664 - Cat2 Conf4 PowerEdge R640 - Dell.html'),
        DellMatinfoConfigurator('rcrc1406676-4824727 - Cat 2 Conf 7 PowerEdge R940 - Dell.html'),
        # dell.DellPowerEdgeR940(),
        ]
    
    plot_efficiency(configurators=configurators, ram_per_core=4.0e9)

def test_credits_2020_configs():
    # configurator = DellMatinfoConfigurator('rcrc1406676-4834664 - Cat2 Conf4 PowerEdge R640 - Dell.html')
    # print(configurator)
    configurators = [
        DellMatinfoCsvConfigurator('c6420-20200716-price.tsv'),
        DellMatinfoConfigurator('rcrc1406676-4834664 - Cat2 Conf4 PowerEdge R640 - Dell.html'),
        DellMatinfoConfigurator('rcrc1406676-4824727 - Cat 2 Conf 7 PowerEdge R940 - Dell.html'),
        # dell.DellPowerEdgeR940(),
        ]
    
    cpu_filter = lambda cpu : cpu.uid in [
        'intel-xeon-gold-5222',
        'intel-xeon-gold-6226r',
        'intel-xeon-gold-6230r',
        'intel-xeon-gold-6234r',
        'intel-xeon-gold-6240r',
        'intel-xeon-gold-6248r',
        'intel-xeon-gold-6230',
        'intel-xeon-gold-6240',
        ]

    plot_efficiency(configurators=configurators, ram_per_core=4.0e9, cpu_filter=cpu_filter)


if __name__ == '__main__':
    test_all_matinfo_2020_configs()